// Machine generated C++ stub file (.cpp) for remote object SampleService
// Created on : 03/22/2010 13:55:01

#ifdef WIN32
#include <windows.h>
#endif
#include <winscard.h>
#include "SampleService.h"

using namespace std;
using namespace Marshaller;


// Constructors
SampleService::SampleService(string* uri) : SmartCardMarshaller(NULL, 0, uri, (u4)0xE38E8F, (u2)0xCF6A, 0) { return; }
SampleService::SampleService(string* uri, u4 index) : SmartCardMarshaller(NULL, 0, uri, (u4)0xE38E8F, (u2)0xCF6A, index) { return; }
SampleService::SampleService(u2 portNumber, string* uri) : SmartCardMarshaller(NULL, portNumber, uri, (u4)0xE38E8F, (u2)0xCF6A, 0) { return; }
SampleService::SampleService(u2 portNumber, string* uri, u4 index) : SmartCardMarshaller(NULL, portNumber, uri, (u4)0xE38E8F, (u2)0xCF6A, index) { return; }
SampleService::SampleService(string* readerName, string* uri) : SmartCardMarshaller(readerName, 0, uri, (u4)0xE38E8F, (u2)0xCF6A, 0) { return; }
SampleService::SampleService(string* readerName, u2 portNumber, string* uri) : SmartCardMarshaller(readerName, portNumber, uri, (u4)0xE38E8F, (u2)0xCF6A, 0) { return; }
SampleService::SampleService(SCARDHANDLE cardHandle, string* uri) : SmartCardMarshaller(cardHandle, 0, uri, (u4)0xE38E8F, (u2)0xCF6A) { return; }
SampleService::SampleService(SCARDHANDLE cardHandle, u2 portNumber, string* uri) : SmartCardMarshaller(cardHandle, portNumber, uri, (u4)0xE38E8F, (u2)0xCF6A) { return; }

// Pre-defined methods
std::string* SampleService::GetReader(void){return GetReaderName();}

// Exposed methods

string* SampleService::SampleMethod(string* input){
	string* _string = NULL;
	Invoke(1, 0x6279, MARSHALLER_TYPE_IN_STRING, input, MARSHALLER_TYPE_RET_STRING, &_string);
	return _string;
}



